Subject: Re: was: FEC on MPC860T & race condition

From: Dan Malek <[email-masked]>
Date: Tue, 04 Feb 2003 14:55:53 -0500

Tom Rini wrote:

> I believe this is wrong, in that trying to udelay() here is a bad idea.

I agree.  All of the MII communcation is interrupt driven.  This is easy
and the way everything should work on the 8xx.  The link interrupt is
more challenging because the interrupt from that depends upon the phy
type and the board design.  The link interrupts are either real interrupts
or managed with a timed thread.

If you need to wait before installing the link interrupt (which I still
don't understand why), this should be done as part of the phy discovery
interrupt.  For example, add an indirect function pointer and if it isn't
NULL, call it at that time to do anything that must wait until the phy
is discovered and initialized.

Thanks.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/